acleandir(1)

NAME
acleandir - clean up a directory containing netatalk Apple Macintosh files

SYNOPSIS
acleandir [-rnvi] dirname

DESCRIPTION
acleandir cleans up the directory dirname. By default it simply removes "orphan" AppleDouble files, i.e. those which do not have a corresponding data file.

OPTIONS

-d  Also remove the .AppleDouble directory if it contains no AppleDouble files after "orphan" removal. This will result in the finder location of dirname within its parent being lost.

-r, -R
    Recursive. Clean up directories recursively.

-n  Display the filenames of "orphans" but don't remove any. Display size if "orphan" appears to contain a resource fork.

-i  Interactive. Prompt for confirmation before a removal. A y in answer confirms that the removal should proceed.

-v  Verbose. Display the names of all "orphans" and .AppleDouble directories removed. Reports the size if the "orphan" appears to contain a resource fork.

-a  Aggressive. Remove all AppleDouble files, not just "orphans". Also remove the .AppleDesktop directory if present. Impies -d option. Use with caution as the Macintosh type/creator and finder location of all files will be lost and the content of some documents, such as Symantec Projects, will be destroyed.

DIAGNOSTICS
returns exit status 0 unless bad options are provided or a directory is not given on the command line.

SEE ALSO
afile(1), afpd(8)